> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Member

> Permanently deletes a member from Clasp. Do not use this if you are simply terminating employee. You must update their termination_date instead.  Only use this if you no longer want their record to exist (e.g., entry error).



## OpenAPI

````yaml delete /members/{public_id}
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /members/{public_id}:
    delete:
      tags:
        - members
      description: >-
        Permanently deletes a member from Clasp. Do not use this if you are
        simply terminating employee. You must update their termination_date
        instead.  Only use this if you no longer want their record to exist
        (e.g., entry error).
      operationId: members_destroy
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '204':
          description: No response body
      security:
        - tokenAuth: []
components:
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````